Subject: Re: bug#42155: --with-source=PACKAGE=REPLACEMENT-SOURCE doesn't work recursively

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Jul 2020 23:59:05 +0200

pkill9 <[email-masked]> skribis:

>> I think what you're looking for is more of:
>> 
>> guix build --no-grafts mpv --with-input=youtube-dl=$(guix build
>> --no-grafts youtube-dl
>> --with-source=https://github.com/ytdl-org/youtube-dl/releases/download/2020.06.16/youtube-dl-2020.06.16.tar.gz)
>> 
>> This didn't work for me though, I got:
>> guix build: error:
>> /gnu/store/9ncacjhzwlchpr1y5fd8ahdq59dsya20-youtube-dl-2020.06.16:
>> unknown package
>
> Even if that worked, it doesn't fix the issue of the --with-source flag
> not working on the specified package's inputs.

‘--with-source’ is documented to be “shallow”: unlike ‘--with-input’ &
co., it doesn’t apply recursively.

I think we should change it though.

Ludo’.